<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8"%>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="ui" uri="http://egovframework.gov/ctl/ui"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

	<div class="container" id="container">
		<div class="breadcrumb">
            <ul class="">
                <li class="home"><a href="#lnk">HOME</a></li>
                <li><a href="#lnk">홈페이지 관리</a></li>
                <li class="active">설문조사 관리</li>
            </ul>
        </div>
        <h3 class="subcont-tit">설문조사 관리</h3>
		<!-- ================ 내용시작 =================-->
        <div class="page_contents">
            <div class="btn_wrap textAlign_right">
                <a href="/admin/survey/ExcelDown.do?que_id=${survey.que_id}&excelFlag=survey" class="btn inverse">엑셀다운로드</a>
            </div>
            <table class="table_form">
                <caption>설문조사 상세내용</caption>
                <colgroup>
                    <col style="width:20%;">
                    <col style="width:80%;">
                </colgroup>
                <tbody>
                <tr>
                    <th scope="row">설문조사 제목</th>
                    <td>${survey.que_sj}</td>
                </tr>
                <tr>
                    <th scope="row">설문조사 기간</th>
                    <td>${survey.fromDate} ~ ${survey.toDate}</td>
                </tr>
                <!-- <tr>
                    <th scope="row">설문 대상</th>
                    <td>로그인 사용자(본인인증 사용자)</td>
                </tr> -->
                </tbody>
            </table>
            <div class="new_survey_result_box">
            	<c:forEach var="result" items="${queList}" varStatus="status">
					<c:if test="${result.item_type == 1}">
						<dl class="new_survey_result_list">
							<dt>질문${result.order_num}) ${result.anque_sj}</dt>
							<c:forEach var="item" items="${surveyQueItem}" varStatus="status">
								<c:if test="${result.anque_id == item.anque_id}">
									<dd>
										<p class="new_survey_result_answer">${item.item_text}</p>
										<c:forEach var="stat" items="${surveyStat}" varStatus="status">
											<c:if test="${item.itemque_id == stat.itemque_id}">
												<div class="new_survey_result_graph js_grpah">
													<div class="new_survey_result_graph_box_wrap">
														<span class="new_survey_result_graph_box js_grpah_box"></span>
													</div>
													<span class="new_survey_result_graph_num js_grpah_num">(${stat.answer_total}명/<strong>${stat.stat_avg}</strong>%)
													</span>
												</div>
											</c:if>
										</c:forEach>
									</dd>
								</c:if>
							</c:forEach>
						</dl>
					</c:if>
				
					<c:if test="${result.item_type == 2}">
						<dl class="new_survey_result_list">
							<dt>질문${result.order_num}) ${result.anque_sj}</dt>
							<c:forEach var="item" items="${surveyQueItem}" varStatus="status">
								<c:if test="${result.anque_id == item.anque_id}">
									<dd>
										<p class="new_survey_result_answer">${item.item_text}</p>
										<c:forEach var="stat" items="${surveyStat}" varStatus="status">
											<c:if test="${item.itemque_id == stat.itemque_id}">
												<div class="new_survey_result_graph js_grpah">
													<div class="new_survey_result_graph_box_wrap">
														<span class="new_survey_result_graph_box js_grpah_box"></span>
													</div>
													<span class="new_survey_result_graph_num js_grpah_num">(${stat.answer_total}명/<strong>${stat.stat_avg}</strong>%)
													</span>
												</div>
											</c:if>
										</c:forEach>
									</dd>
								</c:if>
							</c:forEach>
						</dl>
					</c:if>
				
					<c:if test="${result.item_type == 3}">
						<dl class="new_survey_result_list">
							<dt>질문${result.order_num}) ${result.anque_sj}</dt>
							<c:forEach var="item" items="${surveyQueItem}" varStatus="status">
								<c:if test="${result.anque_id == item.anque_id}">
									<c:forEach var="stat" items="${surveyStat}" varStatus="status">
										<c:if test="${item.itemque_id == stat.itemque_id}">
											<dd>
												<p class="new_survey_result_answer">답변:
													${fn:replace(stat.subject_answer, ",", "<br/>답변 : ")}</p>
											</dd>
										</c:if>
									</c:forEach>
								</c:if>
							</c:forEach>
						</dl>
					</c:if>
					
					<c:if test="${result.item_type == 4}">
						<dl class="new_survey_result_list">
							<dt>질문${result.order_num}) ${result.anque_sj}</dt>
							<c:forEach var="item" items="${surveyQueItem}" varStatus="status">
								<c:if test="${result.anque_id == item.anque_id}">
									<dd>
										<p class="new_survey_result_answer">${item.item_text}</p>
										<c:forEach var="stat" items="${surveyStat}" varStatus="status">
											<c:if test="${item.itemque_id == stat.itemque_id}">
												<div class="new_survey_result_graph js_grpah">
													<div class="new_survey_result_graph_box_wrap">
														<span class="new_survey_result_graph_box js_grpah_box"></span>
													</div>
													<span class="new_survey_result_graph_num js_grpah_num">(${stat.answer_total}명/<strong>${stat.stat_avg}</strong>%)
													</span>
												</div>
												<c:if test="${item.etc_flag eq 'Y'}">
													<dd>
														<p class="new_survey_result_answer">답변:
															${fn:replace(stat.subject_answer, ",", "<br/>답변 : ")}</p>
													</dd>
												</c:if>
											</c:if>
										</c:forEach>
									</dd>
								</c:if>
							</c:forEach>
						</dl>
					</c:if>
				</c:forEach>
            </div>
            
            <div class="btn_wrap textAlign_center">
                <a href="/admin/survey/survey.do" class="btn list">목록</a>
            </div>
            <script>
                // :: 그래프 스크립트 START ::
                // $(document).on("ready", function() {
                //     var $graph = $(".js_grpah");
                //
                //     $graph.each(function(i,e) {
                //         var $this = $(this),
                //             $this_box = $this.find(".js_grpah_box"),
                //             $this_num = $this.find(".js_grpah_num strong").text();
                //
                //         $this_box.stop().animate({
                //             "width" : $this_num + "%"
                //         });
                //     });
                // });
                // :: 그래프 스크립트 END ::
            </script>
            <!-- ================ 내용종료 =================-->

        </div><!-- //page_contents -->
	</div>